RedRavenApi reference
Get attack results summary
Return ASR for the current or requested run. `attempts_failed / attempts_total`; stored `fail` means the attack succeeded.
Return ASR for the current or requested run. attempts_failed / attempts_total; stored fail means the attack succeeded.
Authorization
ApiKeyAuth OrganizationId X-API-Key<token>
Your RedRaven API key.
In: header
X-Organization-Id<token>
RedRaven organization UUID that scopes the API key.
In: header
Path Parameters
test_id*string
RedRaven test UUID.
Format
uuidQuery Parameters
run_id?string
Specific run. Defaults to the latest run.
Response Body
application/json
curl -X GET "https://example.com/tests/497f6eca-6276-4993-bfeb-53cbbbba6f08/attack-results/summary"{ "test_id": "22e96a18-23fe-4c06-8ee6-180390ceaded", "status": "string", "current_run_id": "string", "run_id": "string", "started_at": "string", "completed_at": "string", "summary": { "scenarios_total": 0, "attempts_total": 0, "attempts_failed": 0, "asr": 0 }}